//
// misc.h
//



extern	void ShowSystemErr(long err);
extern void	ErrorHandler(short);
void CopyPStr(ConstStr255Param	inSourceStr, StringPtr	outDestStr);
extern void	DoAlert(Str255);
extern void	DoFatalAlert(Str255);
extern void	Wait(long);
extern Handle	LoadAFile(Str255, short, long *);
extern unsigned char	*NumToHex(unsigned short);
extern unsigned char	*NumToHex2(unsigned long, short);
extern unsigned char	*NumToDec(unsigned long);
extern	void CleanQuit(void);
extern	void ReadKeyboard(void);
extern	Boolean GetKeyState(unsigned short key);
extern	float Absolute(float f);
extern	void RegulateSpeed(long speed);
extern	void SetMyRandomSeed(unsigned long seed);
extern	unsigned long MyRandomLong(void);
extern	void FloatToString(float num, Str255 string);
extern	Handle	AllocHandle(long size);
void *AllocPtr(long size);
extern	void PrintFPS(void);
extern	unsigned short	RandomRange(unsigned short min, unsigned short max);


